/**
 * Copyright (c) 2017-present, Evosphere.
 * All rights reserved.
 */

const FormData = require('./FormData');

Object.defineProperty(global, "FormData", {
  configurable: true,
  value: FormData,
});

jest.mock('NetInfo', () => {
  let listeners = [], status = { type: "cellular", effectiveType: "4g"};

  return {
    addEventListener: (event, handler) => {
      listeners.push(handler);
    },
    getConnectionInfo: () => {
      return new Promise((accept) => {
        accept(status);
      })
    },
    listeners,
    setStatus(nextStatus){
      status = nextStatus;
    },
  }
});
