// @flow
/**
 * Copyright (c) 2017-present, Evosphere.
 * All rights reserved.
 */
import interpretResult from './interpretResult';

/**
 * A Result object containing the result of an operation
 *
 * @param result
 * @constructor
 */
function Result(result : Object){
  this.status = result.status;
  this.response = result.response;
  this.interpretation = interpretResult(result);
}

Result.prototype.getInterpretation = function(){
  return this.interpretation;
};

Result.prototype.getStatus = function(){
  return this.status;
};

Result.prototype.getStatusCode = function(){
  return this.response.statusCode;
};

Result.prototype.getData = function(){
  return this.response.data;
};

Result.prototype.getHeaders = function(){
  return this.response.headers;
};

export default Result;