// @flow
/**
 * Copyright (c) 2017-present, Evosphere.
 * All rights reserved.
 */

import type { RequestConfiguration } from '../definitionTypes';
import type { FetchType } from '../RequestSender';

/**
 * Create an adapter around faussaire
 * @param instance
 */
const createAdapter = (instance : Object) => {
  return (request : RequestConfiguration) => {
    return new Promise(resolve => resolve(instance.emit(request)));
  }
};

export default createAdapter;